ข้ามไปยังเนื้อหา

LTX Video (preview)

ผสานการทำงาน

ID โมเดล ltx-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.02 20 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API

โมเดลการสร้างวิดีโอจากข้อความรุ่นพรีวิวระยะแรกที่สร้างคลิปจากพรอมต์เพียงอย่างเดียว

Lightricks · วิดีโอ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

พรอมต์ที่ใช้เป็นพื้นฐานสำหรับการสร้างวิดีโอ

ขั้นสูง negative_prompt · num_inference_steps · guidance_scale · seed · enable_safety_checker
ค่าเริ่มต้น low quality, worst qu...

พรอมต์เชิงลบที่ใช้ระหว่างการสร้างวิดีโอ

ค่าเริ่มต้น 30

จำนวนขั้นตอนการอนุมานที่จะดำเนินการ

ค่าเริ่มต้น 3

การตั้งค่าสเกลคำแนะนำ

ค่า seed สำหรับตัวสร้างตัวเลขสุ่ม

POST /run/ltx-video?wait=20 ใบเสนอราคา → $0.02
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ LTX Video (preview)

สร้างวิดีโอจากข้อความ `prompt` โดยไม่มีอินพุตรูปภาพหรือวิดีโอ ควบคุมด้วย `negative_prompt`, `seed`, `num_inference_steps` (1 ถึง 50 ค่าเริ่มต้น 30) และ `guidance_scale` (1 ถึง 10 ค่าเริ่มต้น 3) เป็นตัวเลือกพื้นฐานที่มีพารามิเตอร์น้อยสำหรับการสร้างคลิปจากพรอมต์อย่างรวดเร็ว

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
พรอมต์ที่ใช้เป็นพื้นฐานสำหรับการสร้างวิดีโอ
negative_promptไม่บังคับ
ประเภทstring
ค่าเริ่มต้นlow quality, worst quality, deformed, distorted, disfigured, motion smear, motion artifacts, fused fingers, bad anatomy, weird hand, ugly
พรอมต์เชิงลบที่ใช้ระหว่างการสร้างวิดีโอ
seedไม่บังคับ
ประเภทinteger | null
ค่า seed สำหรับตัวสร้างตัวเลขสุ่ม
num_inference_stepsไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น30
1 – 50
จำนวนขั้นตอนการอนุมานที่จะดำเนินการ
guidance_scaleไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น3
≤ 10> 1
การตั้งค่าสเกลคำแนะนำ
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สามารถผ่อนปรนการคัดกรองได้โดยตั้งค่าเป็น false หากผู้เรียกมีสิทธิ์
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 20,
    "usd": "0.02",
    "charged": 20,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
video
object {url, content_type, file_name, file_size}วิดีโอที่โมเดลสร้าง
seed
integerค่า seed ที่ใช้โดยตัวสร้างตัวเลขสุ่ม

โมเดลเพิ่มเติม: ข้อความเป็นวิดีโอ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/ltx-video.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt